SDL_SetLogOutputFunction(3)

NAME
SDL_SetLogOutputFunction - Replace the default log output function with one of your own.

SYNOPSIS
#include <SDL3/SDL_log.h>

void SDL_SetLogOutputFunction(SDL_LogOutputFunction callback, void *userdata);

FUNCTION PARAMETERS

callback
    an SDL_LogOutputFunction to call instead of the default.

userdata
    a pointer that is passed to callback.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetDefaultLogOutputFunction(3), SDL_GetLogOutputFunction(3)